src/brand/pkgcreatezone
changeset 2391 90c532b69592
parent 2365 3501bd50829f
parent 2390 f1c659f5c28e
child 2392 57fd6b333437
--- a/src/brand/pkgcreatezone	Wed Jun 01 13:04:21 2011 +0100
+++ b/src/brand/pkgcreatezone	Wed Jun 01 13:11:09 2011 +0100
@@ -58,10 +58,10 @@
 
 trap_cleanup() {
 	print "$f_interrupted"
-	exit $EXIT_CODE
+	exit $int_code
 }
 
-EXIT_CODE=$ZONE_SUBPROC_NOTCOMPLETE
+int_code=$ZONE_SUBPROC_NOTCOMPLETE
 trap trap_cleanup INT
 
 extra_packages=""
@@ -109,13 +109,17 @@
 	print -u2 "Brand error: No zone path or name"
 	exit $ZONE_SUBPROC_USAGE
 fi
-zone=
-init_zone zone "$ZONENAME" "$ZONEPATH"
-eval $(bind_legacy_zone_globals zone)
+
+# XXX shared/common script currently uses lower case zonename & zonepath
+zonename="$ZONENAME"
+zonepath="$ZONEPATH"
 
 is_brand_labeled
 brand_labeled=$?
 
+ZONEROOT=$ZONEPATH/root
+secinfo=""
+
 # An image install can't use both -a AND -d...
 [[ -n "$install_archive" && -n "$source_dir" ]] &&
     fail_usage "$f_incompat_options" "-a" "-d"
@@ -153,8 +157,7 @@
 # Before installing the zone, set up ZFS dataset hierarchy for the zone root
 # dataset.
 #
-create_active_ds zone || fail_fatal "$f_no_ds"
-mount_active_be -c zone || fail_fatal "$f_no_ds"
+create_active_ds
 
 #
 # If we're installing from an image, branch off to that installer.